Ubuntu-insights: ubuntu-insights(1)

NAME
ubuntu-insights-collect - Collect system information

SYNOPSIS
ubuntu-insights collect [source] source-metrics-path ⟨required if source provided⟩ [flags]

DESCRIPTION
Collect system information and metrics and store it locally.

If source is not provided, then the source is assumed to be the currently detected platform. Additionally, there should be no source-metrics-path provided. If source is provided, then the source-metrics-path should be provided as well.

OPTIONS
-d, --dry-run[=false]
    perform a dry-run where a report is collected, but not written to disk

-f, --force[=false]
    force a collection, override the report if there are any conflicts (doesn't ignore consent)

-h, --help[=false]
    help for collect

-p, --period=0
    the minimum period between 2 collection periods for validation purposes in seconds

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    use a specific configuration file

--consent-dir=""
    the base directory of the consent state files

--insights-dir=""
    the base directory of the insights report cache

--quiet[=false]
    suppress all output except errors

-v, --verbose[=0]
    issue INFO (-v), DEBUG (-vv)

SEE ALSO
ubuntu-insights(1)

HISTORY
13-Feb-2026 Auto generated by spf13/cobra